LV2BENCH(1)

NAME
lv2bench - benchmark installed and supported LV2 plugins

SYNOPSIS
lv2bench [-hV] [-b block_size] [-n frames] [-s buffers] [- -help] [- -version]

DESCRIPTION
lv2bench runs a simple benchmark of installed LV2 plugins. The results are written to stdout as a simple tab-delimited table.

The options are as follows:

-V, - -version
    Print version information and exit.

-b, - -block frames
    Block length to run, in audio frames.

-h, - -help
    Print usage information and exit.

-n, - -length frames
    Total number of frames to process, excluding any pre-roll buffers given by -s.

-s, - -skip buffers
    Skip a number of buffers before recording timings.

EXIT STATUS
lv2bench exits with a status of 0, or non-zero if an error occurred.

SEE ALSO
lv2apply(1)
lv2info(1)
lv2ls(1)

AUTHORS
lv2bench is a part of lilv, by David Robillard <d@drobilla.net>.